org.apache.avro.generic

## Interface GenericEnumSymbol<E extends GenericEnumSymbol<E>>

All Superinterfaces:
  Comparable<E>, GenericContainer

All Known Implementing Classes:
  GenericData.EnumSymbol

    public interface GenericEnumSymbol<E extends GenericEnumSymbol<E>>
    extends GenericContainer, Comparable<E>

An enum symbol.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `toString()` Return the symbol.

### Methods inherited from interface org.apache.avro.generic.GenericContainer

`getSchema`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### toString

    String toString()

Return the symbol.

Overrides:
  `toString` in class `Object`